Subject: [v2, 3/3] ARM: dts: AM33XX: Add NAND flash device tree data to am335x-evm

From: [email-masked] (Benoit Cousson)
Date: Thu, 30 May 2013 09:24:24 +0200

Hi Pekon,

On 05/20/2013 06:44 AM, Gupta, Pekon wrote:
>  
>>>>>
>>>>>  	am33xx_pinmux: pinmux at 44e10800 {
>>>>>  		pinctrl-names = "default";
>>>>> -		pinctrl-0 = <&matrix_keypad_s0 &volume_keys_s0>;
>>>>> +		pinctrl-0 = <&matrix_keypad_s0 &volume_keys_s0
>>>>> +			&nandflash_pins_s0>;
>>>>
>>>> Why add this to the board level fallback (called pinctrl hogs, I think)?
>>>> This can be part of nand node you added below so that the pinctrl will
>>>> take effect when nand gets probed instead of all the time.
>>>
>>> Yes we should have all the pinctrl entries under the related drivers.
>>> This makes it easy remux pins during runtime if needed, and also
>>> allows unloading pinctrl-single.ko for development.
>>>
>> Yes, accepted. This has been already fixed in v3 of this patch set.
>> If all fine, then please pull this for next merge..
>>
>> http://lists.infradead.org/pipermail/linux-mtd/2013-May/046712.html
>>
>> http://lists.infradead.org/pipermail/linux-mtd/2013-May/046814.html
>>
>> http://lists.infradead.org/pipermail/linux-mtd/2013-May/046710.html
>>
>>
>> with regards, pekon
> 
> Request you to please accept | provide feedbacks on this patch series.
> These are waiting acceptance since Jan-2013, and are necessary for 
> DT based configs for board having NAND support.
> 
> with regards, pekon

Sorry, I missed that series.

I'm applying it right now.

Thanks,
Benoit